std::unordered_multimap::begin,(3)

NAME
std::unordered_multimap::begin, - std::unordered_multimap::begin,

Synopsis
   iterator begin() noexcept; (since C++11)
   const_iterator begin() const noexcept; (since C++11)
   const_iterator cbegin() const noexcept; (since C++11)
   Returns an iterator to the first element of the unordered_multimap.
   If the unordered_multimap is empty, the returned iterator will be equal to end().
   range-begin-end.svg

Parameters
   (none)

Return value
   Iterator to the first element.

Complexity
   Constant.

Example
// Run this code
 #include <unordered_map>
 #include <algorithm>
 #include <cassert>
 #include <iostream>
 #include <string>
 #include <utility>
 int main()
 {
     auto show_node = [](const std::pair<std::string, std::string>& node) {
         std::cout << node.first << " : " << node.second << '\n';
     };
     std::unordered_multimap<std::string, std::string> lemmas;
     assert(lemmas.begin() == lemmas.end()); // OK
     assert(lemmas.cbegin() == lemmas.cend()); // OK
     lemmas.insert({ "1. ∀x ∈ N ∃y ∈ N", "x ≤ y" });
     show_node(*lemmas.cbegin());
     assert(lemmas.begin() != lemmas.end()); // OK
     assert(lemmas.cbegin() != lemmas.cend()); // OK
     lemmas.begin()->second = "x < y";
     show_node(*lemmas.cbegin());
     lemmas.insert({ "2. ∀x,y ∈ N", "x = y V x ≠ y" });
     show_node(*lemmas.cbegin());
     lemmas.insert({ "3. ∀x ∈ N ∃y ∈ N", "y = x + 1" });
     show_node(*lemmas.cbegin());
     std::cout << "lemmas: \n";
     std::for_each(lemmas.cbegin(), lemmas.cend(),
         [&](const auto& n) { show_node(n); });
     std::cout << "\n";
 }

Possible output:
 1. ∀x ∈ N ∃y ∈ N : x ≤ y
 1. ∀x ∈ N ∃y ∈ N : x < y
 2. ∀x,y ∈ N : x = y V x ≠ y
 3. ∀x ∈ N ∃y ∈ N : y = x + 1
 lemmas:
 3. ∀x ∈ N ∃y ∈ N : y = x + 1
 1. ∀x ∈ N ∃y ∈ N : x < y
 2. ∀x,y ∈ N : x = y V x ≠ y

See also
   end returns an iterator to the end
   cend (public member function)
   (C++11)
   begin
   cbegin returns an iterator to the beginning of a container or array
   (C++11) (function template)
   (C++14)